MWAWOLEParserInternal::OleDef Struct Reference

Internal: internal method to keep ole definition. More...

## Public Member Functions

| OleDef ()

## Public Attributes

int | m_id
| main id
int | m_subId
| subsversion id
std::string | m_dir
| the directory
std::string | m_base
| the base
std::string | m_name
| the complete name

## Detailed Description

Internal: internal method to keep ole definition.

## Constructor & Destructor Documentation

## OleDef()

MWAWOLEParserInternal::OleDef::OleDef | ( |  | ) |

inline

## Member Data Documentation

## m_base

std::string MWAWOLEParserInternal::OleDef::m_base

the base

Referenced by OleDef(), and MWAWOLEParser::parse().

## m_dir

std::string MWAWOLEParserInternal::OleDef::m_dir

the directory

Referenced by OleDef(), and MWAWOLEParser::parse().

## m_id

int MWAWOLEParserInternal::OleDef::m_id

main id

Referenced by OleDef(), and MWAWOLEParser::parse().

## m_name

std::string MWAWOLEParserInternal::OleDef::m_name

the complete name

Referenced by OleDef(), and MWAWOLEParser::parse().

## m_subId

int MWAWOLEParserInternal::OleDef::m_subId

subsversion id

Referenced by OleDef(), and MWAWOLEParser::parse().

The documentation for this struct was generated from the following file:

- MWAWOLEParser.cxx